<?php 

	$bicycle_repair_custom_style = '';

	// Logo Size
	$bicycle_repair_logo_top_padding = get_theme_mod('bicycle_repair_logo_top_padding');
	$bicycle_repair_logo_bottom_padding = get_theme_mod('bicycle_repair_logo_bottom_padding');
	$bicycle_repair_logo_left_padding = get_theme_mod('bicycle_repair_logo_left_padding');
	$bicycle_repair_logo_right_padding = get_theme_mod('bicycle_repair_logo_right_padding');

	if( $bicycle_repair_logo_top_padding != '' || $bicycle_repair_logo_bottom_padding != '' || $bicycle_repair_logo_left_padding != '' || $bicycle_repair_logo_right_padding != ''){
		$bicycle_repair_custom_style .=' .logo {';
			$bicycle_repair_custom_style .=' padding-top: '.esc_attr($bicycle_repair_logo_top_padding).'px; padding-bottom: '.esc_attr($bicycle_repair_logo_bottom_padding).'px; padding-left: '.esc_attr($bicycle_repair_logo_left_padding).'px; padding-right: '.esc_attr($bicycle_repair_logo_right_padding).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_logo_size = get_theme_mod('bicycle_repair_logo_size');
	if( $bicycle_repair_logo_size != '' ) {
		if($bicycle_repair_logo_size >= 0 && $bicycle_repair_logo_size <= 100) {
			$calculated_width = $bicycle_repair_logo_size * 3.5;
			$bicycle_repair_custom_style .= ' .custom-logo-link img {';
			$bicycle_repair_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$bicycle_repair_custom_style .= ' }';
		}
	}

	// Site Title Font Size
	$bicycle_repair_site_title_font_size = get_theme_mod('bicycle_repair_site_title_font_size');
	if( $bicycle_repair_site_title_font_size != ''){
		$bicycle_repair_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_site_title_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_site_title_color = get_theme_mod('bicycle_repair_site_title_color');
	if ( $bicycle_repair_site_title_color != '') {
		$bicycle_repair_custom_style .=' h1.site-title a, p.site-title a {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_site_title_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	// Site Tagline Font Size
	$bicycle_repair_site_tagline_font_size = get_theme_mod('bicycle_repair_site_tagline_font_size');
	if( $bicycle_repair_site_tagline_font_size != ''){
		$bicycle_repair_custom_style .=' .logo p.site-description {';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_site_tagline_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_site_tagline_color = get_theme_mod('bicycle_repair_site_tagline_color');
	if ( $bicycle_repair_site_tagline_color != '') {
		$bicycle_repair_custom_style .=' .logo p.site-description {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_site_tagline_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	//layout width
	$bicycle_repair_boxfull_width = get_theme_mod('bicycle_repair_boxfull_width');
	if ($bicycle_repair_boxfull_width !== '') {
		switch ($bicycle_repair_boxfull_width) {
			case 'container':
				$bicycle_repair_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$bicycle_repair_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$bicycle_repair_dropdown_anim = get_theme_mod('bicycle_repair_dropdown_anim');

	if ( $bicycle_repair_dropdown_anim != '') {
		$bicycle_repair_custom_style .=' .nav-menu ul ul {';
			$bicycle_repair_custom_style .=' animation:'.esc_attr($bicycle_repair_dropdown_anim).' 1s ease;';
		$bicycle_repair_custom_style .=' }';
	}

	// Header Image
	$header_image_url = bicycle_repair_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$bicycle_repair_custom_style .=' #inner-pages-header {';
			$bicycle_repair_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$bicycle_repair_custom_style .=' }';
	} else {
		$bicycle_repair_custom_style .=' #inner-pages-header {';
			$bicycle_repair_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_menu_color = get_theme_mod('bicycle_repair_menu_color');
	if ( $bicycle_repair_menu_color != '') {
		$bicycle_repair_custom_style .=' .nav-menu ul li a {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_menu_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_menuhvr_color = get_theme_mod('bicycle_repair_menuhvr_color');
	if ( $bicycle_repair_menuhvr_color != '') {
		$bicycle_repair_custom_style .=' .nav-menu ul li a:hover {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_menuhvr_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_social_color = get_theme_mod('bicycle_repair_social_color');
	if ( $bicycle_repair_social_color != '') {
		$bicycle_repair_custom_style .=' .social-icons i {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_social_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_slider_hide_show = get_theme_mod('bicycle_repair_slider_hide_show',false);
	if( $bicycle_repair_slider_hide_show == true){
		$bicycle_repair_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$bicycle_repair_custom_style .=' display:none;';
		$bicycle_repair_custom_style .=' }';
	}

	//Slider color
	$bicycle_repair_slider_font_size = get_theme_mod('bicycle_repair_slider_font_size');
	if( $bicycle_repair_slider_font_size != ''){
		$bicycle_repair_custom_style .=' #slider h2{';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_slider_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_slider_text_font_size = get_theme_mod('bicycle_repair_slider_text_font_size');
	if( $bicycle_repair_slider_text_font_size != ''){
		$bicycle_repair_custom_style .=' #slider p{';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_slider_text_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_slider_color = get_theme_mod('bicycle_repair_slider_color');
	if ( $bicycle_repair_slider_color != '') {
		$bicycle_repair_custom_style .='  #slider h2 a, #slider p {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_slider_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_sliderbtn_color = get_theme_mod('bicycle_repair_sliderbtn_color');
	$bicycle_repair_sliderbtnbg_color = get_theme_mod('bicycle_repair_sliderbtnbg_color');
	if ( $bicycle_repair_sliderbtn_color != '') {
		$bicycle_repair_custom_style .=' #slider a.read-btn {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_sliderbtn_color).'; background-color:'.esc_attr($bicycle_repair_sliderbtnbg_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_slidernp_color = get_theme_mod('bicycle_repair_slidernp_color');
	if ( $bicycle_repair_slidernp_color != '') {
		$bicycle_repair_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_slidernp_color).'; border-color:'.esc_attr($bicycle_repair_slidernp_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	//About us color
	$bicycle_repair_about_section_title_font_size = get_theme_mod('bicycle_repair_about_section_title_font_size');
	if( $bicycle_repair_about_section_title_font_size != ''){
		$bicycle_repair_custom_style .=' #about-section h3 {';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_about_section_title_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_about_title_font_size = get_theme_mod('bicycle_repair_about_title_font_size');
	if( $bicycle_repair_about_title_font_size != ''){
		$bicycle_repair_custom_style .=' #about-section h4 {';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_about_title_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_about_text_font_size = get_theme_mod('bicycle_repair_about_text_font_size');
	if( $bicycle_repair_about_text_font_size != ''){
		$bicycle_repair_custom_style .=' .about-content p {';
			$bicycle_repair_custom_style .=' font-size: '.esc_attr($bicycle_repair_about_text_font_size).'px;';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_about_color = get_theme_mod('bicycle_repair_about_color');
	if ( $bicycle_repair_about_color != '') {
		$bicycle_repair_custom_style .=' #about-section h3 {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_about_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_heading_color = get_theme_mod('bicycle_repair_heading_color');
	if ( $bicycle_repair_heading_color != '') {
		$bicycle_repair_custom_style .=' #about-section h4,#about-section p {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_heading_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_text_color = get_theme_mod('bicycle_repair_text_color');
	if ( $bicycle_repair_text_color != '') {
		$bicycle_repair_custom_style .=' #about-section p {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_text_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_btn_color = get_theme_mod('bicycle_repair_btn_color');
	$bicycle_repair_btnbg_color = get_theme_mod('bicycle_repair_btnbg_color');
	if ( $bicycle_repair_btn_color != '') {
		$bicycle_repair_custom_style .=' .about-btn a {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_btn_color).'; background-color:'.esc_attr($bicycle_repair_btnbg_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	//footer css
	$bicycle_repair_footer_widgets_color = get_theme_mod('bicycle_repair_footer_widgets_color');
	if ( $bicycle_repair_footer_widgets_color != '') {
		$bicycle_repair_custom_style .=' .site-footer h2.widget-title {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_footer_widgets_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_footer_widgets_menu_color = get_theme_mod('bicycle_repair_footer_widgets_menu_color');
	if ( $bicycle_repair_footer_widgets_menu_color != '') {
		$bicycle_repair_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_footer_widgets_menu_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_copyright_color = get_theme_mod('bicycle_repair_copyright_color');
	if ( $bicycle_repair_copyright_color != '') {
		$bicycle_repair_custom_style .=' .site-info p, .site-info a {';
			$bicycle_repair_custom_style .=' color:'.esc_attr($bicycle_repair_copyright_color).';';
		$bicycle_repair_custom_style .=' }';
	}

	$bicycle_repair_footerbg_color = get_theme_mod('bicycle_repair_footerbg_color');
	if ( $bicycle_repair_footerbg_color != '') {
		$bicycle_repair_custom_style .=' #colophon {';
			$bicycle_repair_custom_style .=' background-color:'.esc_attr($bicycle_repair_footerbg_color).';';
		$bicycle_repair_custom_style .=' }';
	}